TagLib::FLAC::MetadataBlock Class Referenceabstract

FLAC metadata block. More...

`#include <flacmetadatablock.h>`

Inheritance diagram for TagLib::FLAC::MetadataBlock:
[legend]

## Public Types

enum | BlockType { StreamInfo = 0 , Padding , Application , SeekTable , VorbisComment , CueSheet , Picture }

## Public Member Functions

| MetadataBlock ()
virtual | ~MetadataBlock ()
| MetadataBlock (const MetadataBlock &item)=delete
MetadataBlock & | operator= (const MetadataBlock &item)=delete
virtual int | code () const =0
virtual ByteVector | render () const =0

## Detailed Description

FLAC metadata block.

## Member Enumeration Documentation

## BlockType

enum TagLib::FLAC::MetadataBlock::BlockType

Enumerator
StreamInfo |
Padding |
Application |
SeekTable |
VorbisComment |
CueSheet |
Picture |

## Constructor & Destructor Documentation

## MetadataBlock() [1/2]

TagLib::FLAC::MetadataBlock::MetadataBlock | ( |  | ) |

Referenced by MetadataBlock(), and operator=().

## ~MetadataBlock()

virtual TagLib::FLAC::MetadataBlock::~MetadataBlock | ( |  | ) |

virtual

## MetadataBlock() [2/2]

TagLib::FLAC::MetadataBlock::MetadataBlock | ( | const MetadataBlock & | item | ) |

delete

References MetadataBlock().

## Member Function Documentation

## code()

virtual int TagLib::FLAC::MetadataBlock::code | ( |  | ) | const

pure virtual

Returns the FLAC metadata block type.

Implemented in TagLib::FLAC::Picture, and TagLib::FLAC::UnknownMetadataBlock.

## operator=()

MetadataBlock & TagLib::FLAC::MetadataBlock::operator= | ( | const MetadataBlock & | item | ) |

delete

References MetadataBlock().

## render()

virtual ByteVector TagLib::FLAC::MetadataBlock::render | ( |  | ) | const

pure virtual

Render the content of the block.

Implemented in TagLib::FLAC::Picture, and TagLib::FLAC::UnknownMetadataBlock.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

The documentation for this class was generated from the following file:

- flacmetadatablock.h